Subject: [manet] Question about wireless routing debug

From: "Peng Hu" <[email-masked]>
Date: Wed, 13 Apr 2005 00:42:59 +0800

Send it again, sorry for lack of the title and duplication letter.
>From: "Peng Hu" <[email-masked]>
>Reply-To: "Peng Hu" <[email-masked]>
>To: [email-masked]
>Subject: 
>Date:Wed, 13 Apr 2005 00:30:11 +0800
>
>While simulating the wireless routing protocol, I am puzzled how 
> to print the temporary info during the routing protocol is executed.
> 
> As the related code goes:
> 
> ...
> set val(rp)             DSDV                      
> ...
> ...
> $ns node-config -adhocRouting $val(rp) \
>                          -llType $val(ll) \
>                           ...                         
> ...
> 
> Stepped into the protocol implementation in NS-2.27/dsdv/dsdv.cc, 
> I found there're lots of printfs for dump.I added one printf and made
> sure that it can be executed during the simulation. But I can
> not get any output info after I make the new ns. 
> 
> Does anybody know how to display the debug info in the routing 
> protocol source file? or how can I watch the variable in every
> process function in dsdv.cc files?
> 
> I ever read some document on NS website, and did not find the 
> related question till now. So any advice is welcome! Thanks all.
> 
> 
> 
> 
> 
>

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet